- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSoLReader Class Reference

Used to read an OSoL string. More...

`#include <OSoLReader.h>`

Collaboration diagram for OSoLReader:

[legend]
List of all members.

## Public Member Functions
| OSoLReader ()
| Default constructor.
| ~OSoLReader ()
| Class destructor.
OSOption * | readOSoL (const std::string &osol) throw (ErrorClass)
| parse the OSoL solver options.
## Private Attributes
OSOption * | m_osoption
| m_osoption is the OSOption object returned by the OSoLReader
OSoLParserData * | m_parserData
| m_parserData is the object used in the parser to temporarily store data
OSgLParserData * | m_osglData
| m_osglData is the object used in the parser to temporarily store data from the OSgL schema elements.

## Detailed Description

Used to read an OSoL string.

Remarks:

This class wraps around the OSoL parser and sends the parser an OSoL string and is returned an OSOption object.

Definition at line 36 of file OSoLReader.h.

## Constructor & Destructor Documentation

OSoLReader::OSoLReader | ( |  | ) |

Default constructor.

Definition at line 32 of file OSoLReader.cpp.

References m_osglData, m_osoption, m_parserData, osollex_init(), osolset_extra(), and OSoLParserData::scanner.

OSoLReader::~OSoLReader | ( |  | ) |

Class destructor.

Definition at line 56 of file OSoLReader.cpp.

References m_osglData, m_osoption, m_parserData, osollex_destroy(), and OSoLParserData::scanner.

## Member Function Documentation

OSOption * OSoLReader::readOSoL | ( | const std::string & | osol | ) | throw (ErrorClass)

parse the OSoL solver options.

Parameters:

  | osol | is a string that holds the solver options.

Returns:
  the instance as an OSOption object.

Definition at line 67 of file OSoLReader.cpp.

References ErrorClass::errormsg, and yygetOSOption().

Referenced by main(), OS_DipInterface::readOSoL(), IpoptSolver::setSolverOptions(), CouenneSolver::setSolverOptions(), CoinSolver::setSolverOptions(), BonminSolver::setSolverOptions(), and CouenneSolver::solve().

## Member Data Documentation

OSOption* OSoLReader::m_osoption`[private]`

m_osoption is the OSOption object returned by the OSoLReader

Definition at line 64 of file OSoLReader.h.

Referenced by OSoLReader(), and ~OSoLReader().

OSoLParserData* OSoLReader::m_parserData`[private]`

m_parserData is the object used in the parser to temporarily store data

Definition at line 68 of file OSoLReader.h.

Referenced by OSoLReader(), and ~OSoLReader().

OSgLParserData* OSoLReader::m_osglData`[private]`

m_osglData is the object used in the parser to temporarily store data from the OSgL schema elements.

Definition at line 73 of file OSoLReader.h.

Referenced by OSoLReader(), and ~OSoLReader().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSoLReader.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSoLReader.cpp